Next: GETARG, Previous: GAMMA, Up: Intrinsic Procedures

### 8.120 `GERROR` — Get last system error message

Description:
  Returns the system error message corresponding to the last system error. This resembles the functionality of `strerror(3)` in C.
Standard:
  GNU extension
Class:
  Subroutine
Syntax:
  `CALL GERROR(RESULT)`
Arguments:

  RESULT | Shall be of type `CHARACTER` and of default kind.

Example:

                PROGRAM test_gerror
                  CHARACTER(len=100) :: msg
                  CALL gerror(msg)
                  WRITE(*,*) msg
                END PROGRAM

See also:
  IERRNO, PERROR